
import java.io.InputStream;

import junit.framework.TestCase;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

/**
 * Test for numeric formula cells.
 */
public class TestHSSFCell extends TestCase {

  /**
   * This test fails for poi-3.2-FINAL-20081019.
   */
  public void testGetRichStringCellValueNumericFormula() throws Exception {
    InputStream inputStream = getClass().getResourceAsStream("testSpreadsheet.xls");
    final HSSFWorkbook hssfWorkbook = new HSSFWorkbook(inputStream);
    final HSSFSheet hssfSheet = hssfWorkbook.getSheet("Sheet1");
    final HSSFCell cell = hssfSheet.getRow(1).getCell(1);

    assertEquals(HSSFCell.CELL_TYPE_FORMULA, cell.getCellType());

    // poi-3.2-FINAL-20081019: "For formulaCells that are not string Formulas, we return empty String"
    // This worked in poi-3.2-alpha1-20080627, but now throws an exception.
    cell.getRichStringCellValue();
  }

}
